import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:karot_components/constant/button_enum.dart';
import 'package:karot_components/constant/button_style.dart';

class KRIconButton extends StatelessWidget {
  final IconData iconData;
  final int color;
  final int? backgroundColor;
  final bool isOutline;
  final KRButtonSize size;
  final VoidCallback onPress;

  const KRIconButton(
      {Key? key,
      required this.iconData,
      required this.onPress,
      this.isOutline = false,
      this.size = KRButtonSize.large,
      this.backgroundColor,
      required this.color})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextButton(
        style: BStyle.iconButtonStyle(
            backgroundColor: backgroundColor, isOutline: isOutline, size: size),
        onPressed: onPress,
        child: Icon(iconData,
            size: size.squerySize,
            color: Color(color)));
  }
}
