// ignore_for_file: constant_identifier_names

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:karot_components/constant/text_enum.dart';
import 'package:karot_components/constant/theme.dart';
import 'package:karot_components/label/karot_label.dart';
import 'package:karot_components/utilities/karot_dash_border.dart';

class KRCardBanner extends StatelessWidget {
  final String title;
  final String bodyText;
  final Widget? tailingWidget;
  final int backgroundColor;
  final int lineColor;
  final int textColor;

  const KRCardBanner({
    Key? key,
    required this.title,
    required this.bodyText,
    this.tailingWidget,
    this.lineColor = KRTheme.DEFAULT_PRIMARY_COLOR,
    this.backgroundColor = KRTheme.DEFAULT_PRIMARY_LIGHT_COLOR,
    this.textColor = KRTheme.DEFAULT_DARK_COLOR,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        width: MediaQuery.of(context).size.width,
        decoration: BoxDecoration(
            color: Color(backgroundColor),
            borderRadius: BorderRadius.circular(10)),
        child: KRDashedBorder(
            color: Color(lineColor),
            child: ListTile(
              trailing: tailingWidget,
                title: KRLabel(
                  text: title,
                  isBold: true,
                  size: KRTextSize.body,
                  textAlign: TextAlign.left,
                  padding: EdgeInsets.zero,
                ),
                subtitle: KRLabel(
                    text: bodyText,
                    size: KRTextSize.body,
                    textAlign: TextAlign.left,
                    padding: EdgeInsets.zero))));
  }
}
