// ignore_for_file: constant_identifier_names

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:karot_components/constant/text_enum.dart';
import 'package:karot_components/constant/theme.dart';
import 'package:karot_components/label/karot_label.dart';

class KRCardShort extends StatelessWidget {
  final String title;
  final String bodyText;
  final IconData iconData;
  final int backgroundColor;
  final int iconBackgroundColor;
  final Function()? onTap;

  const KRCardShort(
      {Key? key,
      required this.title,
      required this.bodyText,
      required this.iconData,
      this.onTap,
      this.iconBackgroundColor = KRTheme.DEFAULT_TERTIARY_LIGHT_COLOR,
      this.backgroundColor = KRTheme.DEFAULT_TERTIARY_COLOR})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.zero,
        decoration: BoxDecoration(
            color: Color(backgroundColor),
            borderRadius: BorderRadius.circular(20)),
        child: ListTile(
          onTap: () => onTap?.call(),
          contentPadding: const EdgeInsets.only(left:8),
            leading: Container(
              margin: EdgeInsets.zero,
                height: 60,
                width: 60,
                child: Icon(
                  iconData,
                  size: 40,
                ),
                decoration: BoxDecoration(
                    color: Color(iconBackgroundColor),
                    borderRadius: BorderRadius.circular(20))),
            title: KRLabel(
              text: title,
              size: KRTextSize.caption,
              textAlign: TextAlign.left,
              padding: EdgeInsets.zero,
            ),
            subtitle: KRLabel(
                text: bodyText,
                isBold: true,
                size: KRTextSize.body,
                textAlign: TextAlign.left,
                padding: EdgeInsets.zero)));
  }
}


// Row(
//           children: [
//             Expanded(
//                 flex: 1,
//                 child: Container(
//                     height: 75,
//                     child: Icon(
//                       iconData,
//                       size: 40,
//                     ),
//                     decoration: BoxDecoration(
//                         color: Color(iconBackgroundColor),
//                         borderRadius: BorderRadius.circular(20)))),
//             Expanded(
//                 flex: 2,
//                 child: ListTile(
//                     title: KRLabel(
//                       text: title,
//                       size: KRTextSize.body,
//                       textAlign: TextAlign.left,
//                       padding: EdgeInsets.zero,
//                     ),
//                     subtitle: KRLabel(
//                         text: bodyText,
//                         isBold: true,
//                         size: KRTextSize.body,
//                         textAlign: TextAlign.left,
//                         padding: EdgeInsets.zero)))
//           ],
//         )