import 'package:karot_components/constant/theme.dart';

enum KRButtonSize { small, regular, large }

extension ButtonExtension on KRButtonSize {
  double get fontSize {
    switch (this) {
      case KRButtonSize.small:
        return KRTheme.SMALL_BTN_FONT_SIZE;
      case KRButtonSize.regular:
        return KRTheme.REGULAR_BTN_FONT_SIZE;
      default:
        return KRTheme.LARGE_BTN_FONT_SIZE;
    }
  }

  double get squerySize {
    switch (this) {
      case KRButtonSize.small:
        return 20;
      case KRButtonSize.regular:
        return 40;
      default:
        return 50;
    }
  }

  double get heightSize {
    switch (this) {
      case KRButtonSize.small:
        return 30;
      case KRButtonSize.regular:
        return 40;
      default:
        return 50;
    }
  }

  double get paddingSide {
    switch (this) {
      case KRButtonSize.small:
        return 20;
      case KRButtonSize.regular:
        return 25;
      default:
        return 40;
    }
  }

    double get iconPadding {
    switch (this) {
      case KRButtonSize.small:
        return 5;
      case KRButtonSize.regular:
        return 10;
      default:
        return 15;
    }
  }

    double get paddingTopBottom {
    switch (this) {
      case KRButtonSize.small:
        return 5;
      case KRButtonSize.regular:
        return 5;
      default:
        return 10;
    }
  }
}
