import 'package:karot_components/constant/theme.dart';

enum KRTextSize { caption, body, subtitle, title, headline }

extension ButtonExtension on KRTextSize {
  double get value {
    switch (this) {
      case KRTextSize.caption:
        return KRTheme.CAPTION_TEXT_FONT_SIZE;
      case KRTextSize.body:
        return KRTheme.BODY_TEXT_FONT_SIZE;
      case KRTextSize.subtitle:
        return KRTheme.SUBTITLE_TEXT_FONT_SIZE;
      case KRTextSize.title:
        return KRTheme.TITLE_TEXT_FONT_SIZE;
      default:
        return KRTheme.HEADLINE_TEXT_FONT_SIZE;
    }
  }
}
