import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:karot_components/constant/text_enum.dart';
import 'package:karot_components/constant/text_style.dart';
import 'package:karot_components/constant/theme.dart';

class KRLabel extends StatelessWidget {
  final TextAlign textAlign;
  final String text;
  final int backgroundColor;
  final int textColor;
  final bool isBold;
  final EdgeInsets padding;
  final KRTextSize size;

  const KRLabel({
    Key? key,
    required this.text,
    this.textAlign = TextAlign.center,
    this.isBold = false,
    this.size = KRTextSize.body,
    this.padding = const EdgeInsets.only(top:10, bottom : 10),
    this.backgroundColor = KRTheme.DEFAULT_PRIMARY_COLOR,
    this.textColor = KRTheme.DEFAULT_DARK_COLOR,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: padding,
      child: Text(
          text,
          textAlign: textAlign,
          style: TStyle.textText(
              isBold: isBold, fontSize: size, color: Color(textColor))
      ),
    );
  }
}
